public OnClientPostAdminCheck(client)
{
	g_SteamID[client][0] = '\0';

	if (IsFakeClient(client))
		return;

	new flags = GetUserFlagBits(client);
	if (flags < 1)
		return;

	decl D_Function:i, String:info[5], String:text[D_FUNCTION_TEXT_SIZE];

	/////////
	for (i = D_Function:0; i < D_Function; i++)
		g_FunctionOn[client][i] = false;

	if (GetClientAuthString(client, g_SteamID[client], 30))
	{
		decl bool:array[D_FUNCTION_COUNT];
		if (GetTrieArray(g_Cache_Trie, g_SteamID[client], array, D_FUNCTION_COUNT))
		{
			for (new x = 0; x < D_FUNCTION_COUNT; x++)
				g_FunctionOn[client][D_Function:x] = array[x];
		}
	}
	/////////

	for (i = D_Function:0; i < D_Function; i++)
	{
		if (g_FunctionFlag[i] > 0 && (flags & g_FunctionFlag[i] || flags & ADMFLAG_ROOT))
		{
			if (g_MyDeceptionMenu[client] == INVALID_HANDLE)
			{
				g_MyDeceptionMenu[client] = CreateMenu(g_MyDeceptionMenu_CallBack);
				SetMenuTitle(g_MyDeceptionMenu[client], g_Title);
			}

			Format(info, 5, "%d", i);
			Format(text, D_FUNCTION_TEXT_SIZE, "%s: %s", g_FunctionText[i], g_FunctionOn[client][i] ? "ВКЛ" : "ОТКЛ");
			AddMenuItem(g_MyDeceptionMenu[client], info, text);
		}
	}
}